org.jboss.jca.core.spi.security

## Interface SecurityIntegration

-     public interface SecurityIntegration

  SecurityIntegration
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.security.auth.callback.CallbackHandler` | `createCallbackHandler()` Create a default callback handler
    `javax.security.auth.callback.CallbackHandler` | `createCallbackHandler(Callback callback)` Create a callback handler
    `SecurityContext` | `createSecurityContext(java.lang.String sd)` Create a security context
    `SecurityContext` | `getSecurityContext()` Get the security context
    `void` | `setSecurityContext(SecurityContext context)` Set the security context

- - ### Method Detail

    - #### createSecurityContext

          SecurityContext createSecurityContext(java.lang.String sd)
                                         throws java.lang.Exception

      Create a security context
      Parameters:
        `sd` - The security domain
      Returns:
        The context
      Throws:
        `java.lang.Exception` - Thrown in case of an error

    - #### getSecurityContext

          SecurityContext getSecurityContext()

      Get the security context
      Returns:
        The context, or `null` if unset

    - #### setSecurityContext

          void setSecurityContext(SecurityContext context)

      Set the security context
      Parameters:
        `context` - The context

    - #### createCallbackHandler

          javax.security.auth.callback.CallbackHandler createCallbackHandler()

      Create a default callback handler
      Returns:
        The handler

    - #### createCallbackHandler

          javax.security.auth.callback.CallbackHandler createCallbackHandler(Callback callback)

      Create a callback handler
      Parameters:
        `callback` - The callback configuration
      Returns:
        The handler

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)